- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_SCIOP_Connection_Handler Class Reference

Handles requests on a single connection. More...

`#include <SCIOP_Connection_Handler.h>`

Inheritance diagram for TAO_SCIOP_Connection_Handler:

[legend]
Collaboration diagram for TAO_SCIOP_Connection_Handler:

[legend]
List of all members.

## Public Member Functions
| TAO_SCIOP_Connection_Handler (ACE_Thread_Manager *t=0)
| TAO_SCIOP_Connection_Handler (TAO_ORB_Core *orb_core, CORBA::Boolean flag)
| Constructor.
| ~TAO_SCIOP_Connection_Handler (void)
| Destructor.
virtual int | open (void *)
int | close (u_long=0)
int | add_transport_to_cache (void)
| Add ourselves to Cache.
int | process_listen_point_list (IIOP::ListenPointList &listen_list)
| Process the <listen_list>.
int | set_dscp_codepoint (CORBA::Boolean set_network_priority)
| Set Diff-Serv codepoint on outgoing packets.
virtual int | open_handler (void *)
Event Handler overloads
virtual int | resume_handler (void)
virtual int | close_connection (void)
virtual int | handle_input (ACE_HANDLE)
virtual int | handle_output (ACE_HANDLE)
virtual int | handle_close (ACE_HANDLE, ACE_Reactor_Mask)
virtual int | handle_timeout (const ACE_Time_Value &current_time, const void *act=0)
## Protected Member Functions
| TAO_SCIOP_Connection_Handler (TAO_ORB_Core *orb_core)
| Constructor that could be used by the derived classes.
TAO_Connection Handler overloads
virtual int | release_os_resources (void)
## Private Attributes
int | dscp_codepoint_
| Stores the type of service value.

## Detailed Description

Handles requests on a single connection.

The Connection handler which is common for the Acceptor and the Connector

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_SCIOP_Connection_Handler::TAO_SCIOP_Connection_Handler | ( | ACE_Thread_Manager * | t = `0` | ) |

TAO_SCIOP_Connection_Handler::TAO_SCIOP_Connection_Handler | ( | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag |
| ) |  |  |

Constructor.

TAO_SCIOP_Connection_Handler::~TAO_SCIOP_Connection_Handler | ( | void |  | ) |

Destructor.

TAO_SCIOP_Connection_Handler::TAO_SCIOP_Connection_Handler | ( | TAO_ORB_Core * | orb_core | ) | `[protected]`

Constructor that could be used by the derived classes.

Sometimes new pluggbale protocols which have similarties with IIOP may be tempted to this class for their use. Classical example being that of IIOP_SSL_Connection_Handler. This constructor just initializes its base class and sets all of its contents to the default value, if any

## Member Function Documentation

int TAO_SCIOP_Connection_Handler::add_transport_to_cache | ( | void |  | ) |

Add ourselves to Cache.

int TAO_SCIOP_Connection_Handler::close | ( | u_long | = `0` | ) |

Close called by the Acceptor or Connector when connection establishment fails.

int TAO_SCIOP_Connection_Handler::close_connection | ( | void |  | ) | `[virtual]`

Implements TAO_Connection_Handler.

int TAO_SCIOP_Connection_Handler::handle_close | ( | ACE_HANDLE | ,
|  | ACE_Reactor_Mask |  |
| ) |  |  | `[virtual]`

int TAO_SCIOP_Connection_Handler::handle_input | ( | ACE_HANDLE |  | ) | `[virtual]`

Implements TAO_Connection_Handler.

int TAO_SCIOP_Connection_Handler::handle_output | ( | ACE_HANDLE |  | ) | `[virtual]`

int TAO_SCIOP_Connection_Handler::handle_timeout | ( | const ACE_Time_Value & | current_time,
|  | const void * | act = `0` |
| ) |  |  | `[virtual]`

int TAO_SCIOP_Connection_Handler::open | ( | void * |  | ) | `[virtual]`

Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused.

int TAO_SCIOP_Connection_Handler::open_handler | ( | void * |  | ) | `[virtual]`

Connection_Handler overloads

Implements TAO_Connection_Handler.

int TAO_SCIOP_Connection_Handler::process_listen_point_list | ( | IIOP::ListenPointList & | listen_list | ) |

Process the <listen_list>.

int TAO_SCIOP_Connection_Handler::release_os_resources | ( | void |  | ) | `[protected, virtual]`

Reimplemented from TAO_Connection_Handler.

int TAO_SCIOP_Connection_Handler::resume_handler | ( | void |  | ) | `[virtual]`

int TAO_SCIOP_Connection_Handler::set_dscp_codepoint | ( | CORBA::Boolean | set_network_priority | ) | `[virtual]`

Set Diff-Serv codepoint on outgoing packets.

Reimplemented from TAO_Connection_Handler.

## Member Data Documentation

int TAO_SCIOP_Connection_Handler::dscp_codepoint_`[private]`

Stores the type of service value.

The documentation for this class was generated from the following files:

- SCIOP_Connection_Handler.h
- SCIOP_Connection_Handler.cpp